# Uses of Class
java.security.KeyException

Packages that use KeyException
Package
Description
java.security
Provides the classes and interfaces for the security framework.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of KeyException in java.security

Subclasses of KeyException in java.security
Modifier and Type
Class
Description
`class`
`InvalidKeyException`
This is the exception for invalid Keys (invalid encoding, wrong length, uninitialized, etc).
`class`
`KeyManagementException`
This is the general key management exception for all operations dealing with key management.
Methods in java.security that throw KeyException
Modifier and Type
Method
Description
`void`
Certificate.`decode​(InputStream stream)`
Deprecated, for removal: This API element is subject to removal in a future version.
Decodes a certificate from an input stream.
`void`
Certificate.`encode​(OutputStream stream)`
Deprecated, for removal: This API element is subject to removal in a future version.
Encodes the certificate to an output stream in a format that can be decoded by the `decode` method.
`void`
Signer.`setKeyPair​(KeyPair pair)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the key pair (public key and private key) for this signer.

## Uses of KeyException in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that throw KeyException
Modifier and Type
Method
Description
`PublicKey`
KeyValue.`getPublicKey()`
Returns the public key of this `KeyValue`.
`abstract KeyValue`
KeyInfoFactory.`newKeyValue​(PublicKey key)`
Creates a `KeyValue` from the specified public key.